curl --request POST \
--url https://api.statisfy.com/v1/templates \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"name": "<string>",
"creator": "<string>",
"description": "<string>",
"html": "",
"sender_email": "<string>",
"sender_name": "<string>",
"state": "draft",
"subject": "<string>"
}
'import requests
url = "https://api.statisfy.com/v1/templates"
payload = {
"name": "<string>",
"creator": "<string>",
"description": "<string>",
"html": "",
"sender_email": "<string>",
"sender_name": "<string>",
"state": "draft",
"subject": "<string>"
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
name: '<string>',
creator: '<string>',
description: '<string>',
html: '',
sender_email: '<string>',
sender_name: '<string>',
state: 'draft',
subject: '<string>'
})
};
fetch('https://api.statisfy.com/v1/templates', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.statisfy.com/v1/templates",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "POST",
CURLOPT_POSTFIELDS => json_encode([
'name' => '<string>',
'creator' => '<string>',
'description' => '<string>',
'html' => '',
'sender_email' => '<string>',
'sender_name' => '<string>',
'state' => 'draft',
'subject' => '<string>'
]),
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>",
"Content-Type: application/json"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://api.statisfy.com/v1/templates"
payload := strings.NewReader("{\n \"name\": \"<string>\",\n \"creator\": \"<string>\",\n \"description\": \"<string>\",\n \"html\": \"\",\n \"sender_email\": \"<string>\",\n \"sender_name\": \"<string>\",\n \"state\": \"draft\",\n \"subject\": \"<string>\"\n}")
req, _ := http.NewRequest("POST", url, payload)
req.Header.Add("Authorization", "Bearer <token>")
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.post("https://api.statisfy.com/v1/templates")
.header("Authorization", "Bearer <token>")
.header("Content-Type", "application/json")
.body("{\n \"name\": \"<string>\",\n \"creator\": \"<string>\",\n \"description\": \"<string>\",\n \"html\": \"\",\n \"sender_email\": \"<string>\",\n \"sender_name\": \"<string>\",\n \"state\": \"draft\",\n \"subject\": \"<string>\"\n}")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.statisfy.com/v1/templates")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Post.new(url)
request["Authorization"] = 'Bearer <token>'
request["Content-Type"] = 'application/json'
request.body = "{\n \"name\": \"<string>\",\n \"creator\": \"<string>\",\n \"description\": \"<string>\",\n \"html\": \"\",\n \"sender_email\": \"<string>\",\n \"sender_name\": \"<string>\",\n \"state\": \"draft\",\n \"subject\": \"<string>\"\n}"
response = http.request(request)
puts response.read_body{
"attachments": [
{
"filename": "<string>",
"id": "<string>",
"mime_type": "<string>",
"size_bytes": 123
}
],
"created_at": "2023-11-07T05:31:56Z",
"creator": "<string>",
"description": "<string>",
"editor": "visual",
"html": "<string>",
"id": "<string>",
"merge_tags": [
"<string>"
],
"name": "<string>",
"sender_email": "<string>",
"sender_name": "<string>",
"state": "draft",
"subject": "<string>",
"type": "<string>",
"updated_at": "2023-11-07T05:31:56Z",
"used_by_campaigns": 123
}Create an email template
curl --request POST \
--url https://api.statisfy.com/v1/templates \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"name": "<string>",
"creator": "<string>",
"description": "<string>",
"html": "",
"sender_email": "<string>",
"sender_name": "<string>",
"state": "draft",
"subject": "<string>"
}
'import requests
url = "https://api.statisfy.com/v1/templates"
payload = {
"name": "<string>",
"creator": "<string>",
"description": "<string>",
"html": "",
"sender_email": "<string>",
"sender_name": "<string>",
"state": "draft",
"subject": "<string>"
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
name: '<string>',
creator: '<string>',
description: '<string>',
html: '',
sender_email: '<string>',
sender_name: '<string>',
state: 'draft',
subject: '<string>'
})
};
fetch('https://api.statisfy.com/v1/templates', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.statisfy.com/v1/templates",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "POST",
CURLOPT_POSTFIELDS => json_encode([
'name' => '<string>',
'creator' => '<string>',
'description' => '<string>',
'html' => '',
'sender_email' => '<string>',
'sender_name' => '<string>',
'state' => 'draft',
'subject' => '<string>'
]),
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>",
"Content-Type: application/json"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://api.statisfy.com/v1/templates"
payload := strings.NewReader("{\n \"name\": \"<string>\",\n \"creator\": \"<string>\",\n \"description\": \"<string>\",\n \"html\": \"\",\n \"sender_email\": \"<string>\",\n \"sender_name\": \"<string>\",\n \"state\": \"draft\",\n \"subject\": \"<string>\"\n}")
req, _ := http.NewRequest("POST", url, payload)
req.Header.Add("Authorization", "Bearer <token>")
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.post("https://api.statisfy.com/v1/templates")
.header("Authorization", "Bearer <token>")
.header("Content-Type", "application/json")
.body("{\n \"name\": \"<string>\",\n \"creator\": \"<string>\",\n \"description\": \"<string>\",\n \"html\": \"\",\n \"sender_email\": \"<string>\",\n \"sender_name\": \"<string>\",\n \"state\": \"draft\",\n \"subject\": \"<string>\"\n}")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.statisfy.com/v1/templates")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Post.new(url)
request["Authorization"] = 'Bearer <token>'
request["Content-Type"] = 'application/json'
request.body = "{\n \"name\": \"<string>\",\n \"creator\": \"<string>\",\n \"description\": \"<string>\",\n \"html\": \"\",\n \"sender_email\": \"<string>\",\n \"sender_name\": \"<string>\",\n \"state\": \"draft\",\n \"subject\": \"<string>\"\n}"
response = http.request(request)
puts response.read_body{
"attachments": [
{
"filename": "<string>",
"id": "<string>",
"mime_type": "<string>",
"size_bytes": 123
}
],
"created_at": "2023-11-07T05:31:56Z",
"creator": "<string>",
"description": "<string>",
"editor": "visual",
"html": "<string>",
"id": "<string>",
"merge_tags": [
"<string>"
],
"name": "<string>",
"sender_email": "<string>",
"sender_name": "<string>",
"state": "draft",
"subject": "<string>",
"type": "<string>",
"updated_at": "2023-11-07T05:31:56Z",
"used_by_campaigns": 123
}Authorizations
An API key, sent as Authorization: Bearer stfy_live_…. See Authentication for how to get one and which scopes it needs.
Body
The email's HTML, with Jinja merge tags such as {{contact.first_name}}, {{account.name}}, {{user.name}} (the sender) and {{unsubscribe_this}} (the unsubscribe link's address). GET /v1/templates/merge-tags lists the workspace's. A merge tag with no value for a recipient renders empty, except a {{user.*}} tag (the sender): it takes its value from the person the campaign sends as through an owner role, and when there is no such person or their field is blank, the campaign's send fails
2000000Response
Successful Response
The email's HTML, with Jinja merge tags such as {{contact.first_name}}, {{account.name}}, {{user.name}} (the sender) and {{unsubscribe_this}} (the unsubscribe link's address). GET /v1/templates/merge-tags lists the workspace's. A merge tag with no value for a recipient renders empty, except a {{user.*}} tag (the sender): it takes its value from the person the campaign sends as through an owner role, and when there is no such person or their field is blank, the campaign's send fails
draft or published. The app offers only published templates when someone sets up a campaign or flow, but a campaign or flow already using a template reads it each time it sends, draft or published: a change goes out on its next send. Deleting a template is what stops it
draft, published Was this page helpful?